vcdimager (2.0.1+dfsg-7build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 10 Feb 2026 23:43:43 +0100

vcdimager (2.0.1+dfsg-7) unstable; urgency=medium

  * QA upload.
  * Add debian/patches/0005-ftbfs_with_libxml_2.14.x.patch taken from Gentoo
    (Closes: #1106624)
  * Build-Depends: s#pkg-config#pkgconf#

 -- Florian Ernst <florian@debian.org>  Sat, 20 Sep 2025 13:13:40 +0200

vcdimager (2.0.1+dfsg-6) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libcdio-dev.
    + vcdimager: Drop versioned constraint on dpkg and install-info in Depends.
    + libvcdinfo-dev: Drop versioned constraint on libcdio-dev in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:26:01 +0100

vcdimager (2.0.1+dfsg-5) unstable; urgency=medium

  * QA upload.
  * Remove Texinfo from Build-Depends (Closes: #981682).
    Texinfo is involved in a dependency loop and the documentation that was
    using it has been excluded from the package due to licensing issue

 -- Baptiste Beauplat <lyknode@cilg.org>  Thu, 11 Feb 2021 18:42:34 +0100

vcdimager (2.0.1+dfsg-4) unstable; urgency=medium

  * QA upload.
  * Host packaging on Salsa:
    - Add Salsa CI pipeline
    - Use DEP14 repository layout:
      + Add gbp.conf
      + Remove uupdate from d/watch
    - Add Vcs-* fields
  * Bump d/watch version to 4:
    - Use @@ variables
    - Split url and matching-pattern
  * Bump Standard-Version to 4.5.1
  * Bump debhelper to 13:
    - Switch from debhelper to debhelper-compat in d/control
    - Remove d/compat
  * Convert copyright to DEP5:
    - Document GPL-2.0-only license for ./lib/sector.c (Closes: #939527)
    - Document repack due to non-free documentation
  * Remove trailing newlines in changelog
  * Add DEP12 upstream metadata
  * Add missing Build-Depends-Package to d/symbols
  * Reformat patches with `gbp pq` (headers + rename with numbers)
  * Add patch to fix some spelling mistake in the code
  * Fix manpage description:
    - Add --enable-maintainer-mode configure flag to build manpages from source
    - Add help2man as Build-Depends
    - Add patch to use the correct description info for help2man
    - Backup and restore original manpages on clean

 -- Baptiste Beauplat <lyknode@cilg.org>  Sun, 20 Dec 2020 22:21:55 +0100

vcdimager (2.0.1+dfsg-3) unstable; urgency=medium

  * QA upload.
  * Set Rules-Requires-Root to no.
  * Use reference to versioned GPL license file instead of the
    unversioned one.
  * Rewrite debian/rules to use dh and bump compat level to 11.
  * Use https when referencing the homepage of upstream in the
    Homepage-field and the watch file.
  * Enable bindnow hardening.
  * Remove now redundant Build-Depends on dh-autoreconf.

 -- Niels Thykier <niels@thykier.net>  Sat, 11 Aug 2018 11:39:30 +0000

vcdimager (2.0.1+dfsg-2) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Remove obsolete patches.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Jun 2018 21:18:32 +0200

vcdimager (0.7.24+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package (same as libcdio).
  * Fix build with libcdio 1.0.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Dec 2017 08:12:18 +0100

vcdimager (0.7.24+dfsg-0.3build1) bionic; urgency=medium

  * No-change rebuild against libcdio17

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Dec 2017 02:53:31 +0000

vcdimager (0.7.24+dfsg-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump debhelper and standards versions.
  * Multiarchify the library packages.
  * Pass dpkg's buildflags to the build.
  * debian/patches/update-vcdinfo-test: adjust tests for current
    debugging output (Steve Langasek).

 -- Matthias Klose <doko@debian.org>  Wed, 15 Nov 2017 08:08:11 +0100

vcdimager (0.7.24+dfsg-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf to avoid FTBFS on ppc64el (and remove references
    to removed documents from docs/Makefile.am). Closes: #727518, #758225

 -- Andreas Barth <aba@ayous.org>  Thu, 11 Sep 2014 10:11:44 +0000

vcdimager (0.7.24+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove non DFSG-compliant docs/vcd-info.*, docs/vcdxrip.*, and
    docs/vcdimager.* from source. Closes: #695794.
  * The info pages are not ship anymore in vcdimager because of the above.

 -- David Prévot <taffit@debian.org>  Sun, 30 Dec 2012 23:51:47 -0400

vcdimager (0.7.24-1) unstable; urgency=low

  * New upstream release.
  * debian/libvcdinfo0.symbols: Include new symbol
    vcdinfo_get_track_last_lsn.
  * debian/rules: Update shlibs for libvcdinfo0.
  * debian/patches/avoid_lt_prefix, debian/patches/regenerate_manpages,
    debian/patches/relibtoolize_autoreconf,
    debian/patches/renew_config.guess_config.sub: Remove.
  * debian/patches/remove_lt_prefix_in_manpages: New patch that replaces
    the old patches avoid_lt_prefix and regenerate_manpages.

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 29 Jan 2012 23:10:45 +0100

vcdimager (0.7.23-6) UNRELEASED; urgency=low

  * debian/libvcdinfo0.symbols: Add a symbols file for libvcdinfo0, with
    some history.

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 15 Jan 2012 23:52:07 +0100

vcdimager (0.7.23-5) unstable; urgency=low

  * The "Thank you Regis for your work" release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Split the big monolithic patch into several patches managed with
    quilt.
  * debian/rules: Add targets build-arch and build-indep, as suggested by
    lintian.
  * debian/rules: Support the nocheck build option.
  * debian/compat: Switch to debhelper compatibility version 8.
    - debian/control: Update the Build-Depends accordingly.
    - debian/rules: No need to manually remove build-stamp and
      configure-stamp any more in the clean target.
    - debian/rules: Replace the call to "dh_clean -k" (deprecated) with a
      call to dh_prep.
  * debian/vcdimager.install: Replace "usr/info/*.info.gz" with
    "usr/info/*.info*" to handle uncompressed info files.
  * debian/control: Add ${misc:Depends} to the Depends field of all binary
    packages that lacked it, as suggested by lintian.
  * debian/control: Add "dpkg (>= 1.15.4) | install-info" to the
    dependencies of vcdimager, as suggested by lintian and policy 12.2.
  * debian/control: Remove the article at the beginning of the description
    of the vcdimager package, as suggested by lintian.
  * debian/control: Add a Homepage field.
  * debian/control: Build-depend on libcdio-dev (>= 0.76) rather than
    libcdio-dev (>= 0.76-1), as suggested by lintian.
  * debian/control: Bump Standards-Version to 3.9.2.

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 01 Jan 2012 00:41:21 +0100

vcdimager (0.7.23-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Stop shipping the la file. Closes: #633176.
  * Update config.{sub,guess}. Closes: #536255.
  * Stop shipping dir.gz in /usr/share/info/

 -- Regis Boudin <regis@debian.org>  Sat, 08 Oct 2011 20:11:07 +0100

vcdimager (0.7.23-4) unstable; urgency=low

  * Fix debian/copyright that obsoleted pretended vcdimager was GPL v2
    only while it is GPL v2 or above. Thanks to Samuel Hocevar who pointed
    the problem.(Closes: #432414)
  * Use ${binary:Version} instead of the deprecated ${Source-Version},
    as suggested by lintian.
  * Don't ignore failures of "make distclean", as suggested by lintian.

 -- Nicolas Boullis <nboullis@debian.org>  Mon, 15 Oct 2007 00:12:48 +0200

vcdimager (0.7.23-3) unstable; urgency=low

  * the "thanks Mike" release.
  * Relibtoolize and autoreconf as suggested by Mike Hommey.
    (See: #378511)
  * Remove the build-dependency against zlib1g-dev.

 -- Nicolas Boullis <nboullis@debian.org>  Wed, 19 Jul 2006 01:02:47 +0200

vcdimager (0.7.23-2) unstable; urgency=low

  * Add a build-dependency against zlib1g-dev. (Closes: #378374)
  * Switch to debhelper compatibility level 4.
  * Bump Standards-Version to 3.7.2 (no change required).

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 16 Jul 2006 00:45:34 +0200

vcdimager (0.7.23-1) unstable; urgency=low

  * New upstream release.
  * Update shlibs accordingly.
  * Libcdio >= 0.72 is required; update to build-dependency.
  * Resurect the _vcd_malloc, vcdinfo_msf2lba, vcdinfo_lba2msf, and
    vcdinfo_msf2lsn symbols to avoid breaking the ABI.
  * Install the info files.
  * Fix the debian/watch file.
  * Check for files that are installed by "make install" but in no
    package.

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 13 Nov 2005 23:28:54 +0100

vcdimager (0.7.21-2) unstable; urgency=low

  * Rebuild vcdimager so that it gets built against libcdio6 and
    libiso9660-4. (Closes: #331625)
  * Update debian/watch file.
  * Update the postal address of the FSF in the copyright file.
  * Bump Standards-Version to 3.6.2 (no change required).

 -- Nicolas Boullis <nboullis@debian.org>  Mon, 10 Oct 2005 01:58:56 +0200

vcdimager (0.7.21-1) unstable; urgency=low

  * New upstream release.
  * Rebuild against libcdio3 and libiso9600-3. (Closes: #290685)
  * Hack ltmain.sh to build programs with rpath as .libs/lt/foobar rather
    than .libs/lt-foobar.
  * Regenerate the manpages accordingly. (Closes: #261434)

 -- Nicolas Boullis <nboullis@debian.org>  Sun,  6 Feb 2005 16:56:36 +0100

vcdimager (0.7.20-2) unstable; urgency=low

  * Fix pkg-config description for libvcdinfo since libvcd is a "private"
    library. Thanks to Alain rpnpif for pointing this.

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 13 Jun 2004 02:53:15 +0200

vcdimager (0.7.20-1) unstable; urgency=low

  * New upstream release.
  * New packages: libvcdinfo0 and libvcdinfo-dev; the libvcdinfo library
    shall be used in the future at least by xine-lib and vlc.

 -- Nicolas Boullis <nboullis@debian.org>  Fri, 20 Feb 2004 01:35:29 +0100

vcdimager (0.7.14.debian.2-1) unstable; urgency=medium

  * The "how did this get lost?" release.
  * New "orig" tarball:
    - redo the changes that were required and prepared for
      0.7.14.debian.1-1 but somehow got lost...

 -- Nicolas Boullis <nboullis@debian.org>  Mon, 16 Feb 2004 03:43:08 +0100

vcdimager (0.7.14.debian.1-1) unstable; urgency=medium

  * New "orig" tarball:
    - remove non-free code, thanks to Joerg Schilling and Andreas Metzler
      for noticing and reporting the problem and to Rocky Bernstein for
      doing the work. (Closes: #223587)
  * Also build-conflicts against libpopt0 1.7-3 on m68k as it was only
    partly fixed.
  * Remove the hack introduced in 0.7.14-5 to fix the versionned
    dependency against libpopt0 on m68k.

 -- Nicolas Boullis <nboullis@debian.org>  Tue,  3 Feb 2004 01:48:31 +0100

vcdimager (0.7.14-5) unstable; urgency=low

  * The "I am stupid" release.
  * Really build-conflicts against versions 1.7-1 and 1.7-2 on m68k, not
    0.7-1 and 0.7-2.

 -- Nicolas Boullis <nboullis@debian.org>  Tue, 18 Nov 2003 19:11:14 +0100

vcdimager (0.7.14-4) unstable; urgency=low

  * Build-conflicts against version 1.7-1 and 1.7-2 of libpopt0 on m68k.
  * Add a hack to generate a debian/shlibs.local file to fix the
    dependency against libpopt0 on m68k.
  * Also specify the build architecture to configure.

 -- Nicolas Boullis <nboullis@debian.org>  Mon, 17 Nov 2003 01:33:35 +0100

vcdimager (0.7.14-3) unstable; urgency=low

  * Re-run the autotools to prevent the installation of
    /usr/share/info/dir and friends in the generated package. Many thanks
    to Santiago Vila for noticing this problem. (Closes: #215354)

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 12 Oct 2003 16:06:20 +0200

vcdimager (0.7.14-2) unstable; urgency=low

  * Ensure that cdxa2mpeg fails with a consistent error message in case of
    read failure or unexpected EOF. (Closes: #211374)
  * Get the enhanced description written by Rocky Bernstein from
    CVS. (Closes: #214273)
  * Add missing build-dependency on texinfo.
  * Bump Standards-Version to 3.6.1 (no change required).

 -- Nicolas Boullis <nboullis@debian.org>  Thu,  9 Oct 2003 01:27:54 +0200

vcdimager (0.7.14-1) unstable; urgency=low

  * New upstream release.
  * Since manpages are no longer built, there's no need to depend on
    help2man any more.
  * Do a regression test at buid time. (since 0.7.13-1)
  * Bumped up Standards-Version to 3.5.9.

 -- Nicolas Boullis <nboullis@debian.org>  Mon, 17 Mar 2003 02:20:35 +0100

vcdimager (0.7.13-1) unstable; urgency=low

  * New upstream release.
  * Fix behavior of noopt in DEB_BUILD_OPTIONS .
  * Bumped up Standards-Version to 3.5.8 .

 -- Nicolas Boullis <nboullis@debian.org>  Tue, 21 Jan 2003 00:17:43 +0100

vcdimager (0.7.12-2) unstable; urgency=low

  * Hijack with permission.
  * Add "-mstructure-size-boundary=8" to CFLAGS on arm. (Closes: #97733)
  * Add support for DEB_HOST_GNU_TYPE .
  * Test for noopt in DEB_BUILD_OPTIONS .
  * Cleaned up debian/rules .
  * Bumped up Standards-Version to 3.5.7 .
  * Rewrote description. (Closes: #118882)
  * vcdxrip now replaces vcdrip. (Closes: #131607)
  * Removed obsolete "local variables:" from changelog.

 -- Nicolas Boullis <nboullis@debian.org>  Thu, 31 Oct 2002 20:38:24 +0100

vcdimager (0.7.12-1) unstable; urgency=low

  * New upstream release

 -- Kyle McMartin <kyle@debian.org>  Thu, 22 Aug 2002 13:12:10 -0500

vcdimager (0.7.11-2) unstable; urgency=low

  * Previous build was incorrect, didn't contain vcdxrip etc.
    Build again. (Closes: #117329)
  * Also since new version is packaged, (Closes: #112290)
  * README fixed, although a better one is required. (Closes: #111136)
  * Add libxml2-dev, help2man to Build-Depends.

 -- Viral Shah <viral@debian.org>  Sat, 27 Oct 2001 17:24:23 -0600

vcdimager (0.7.11-1) unstable; urgency=low

  * New upstream release

 -- Viral Shah <viral@debian.org>  Sat, 27 Oct 2001 00:38:38 -0600

vcdimager (0.7.9-1) unstable; urgency=low

  * New upstream release

 -- Herbert Valerio Riedel <hvr@gnu.org>  Thu,  2 Aug 2001 00:29:21 +0200

vcdimager (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Viral Shah <viral@debian.org>  Fri, 11 May 2001 17:25:06 +0530

vcdimager (0.6.0-1) unstable; urgency=low

  * Initial Release. Closes: Bug#95590

 -- Viral Shah <viral@debian.org>  Fri, 27 Apr 2001 10:13:45 +0530
